package com.yizhi.site.application.vo.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * com.yizhi.site.application.vo.domain
 *
 * @author yanglang
 * @create 2025-01-09 14:01:44
 */
@Data
public class SystemMailboxConditionVo {

    @ApiModelProperty(value = "要跳转的页数")
    private Integer pageNo;

    @ApiModelProperty(value = "每页显示的条数")
    private Integer pageSize;

    @ApiModelProperty(value = "信箱标题")
    private String fileName;

    private Integer anonymousFlag;

    private String targetFrom;

    @ApiModelProperty(value = "信箱类型  1： 纪检   2: 书记")
    private Integer type;

    @ApiModelProperty(value = "联系人名称")
    private String contactName;

    @ApiModelProperty(value = "联系人手机号/邮箱")
    private String contactNumber;
}
