package com.yizhi.site.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.site.application.domain.EventTrack;
import com.yizhi.site.application.vo.site.DayNumVo;
import com.yizhi.site.application.vo.site.EventTrackDayNumVo;
import com.yizhi.site.application.vo.site.EventTrackDeptNumVo;
import com.yizhi.site.application.vo.site.EventTrackTypeNumVo;

import java.util.List;

/**
 * com.yizhi.site.application.service
 *
 * @author yanglang
 * @create 2025-01-14 10:15:30
 */
public interface EventTrackService extends IService<EventTrack> {

    void addEvent(String type,Long businessId);

    EventTrackDayNumVo getTodayNum(String date);

    DayNumVo getNumByType(String date,List<Integer> types);

    List<EventTrackTypeNumVo> queryNumByType(String date,List<Integer> types);

    List<EventTrackDeptNumVo> queryDeptByType(String date, List<Integer> types);
}
