package com.yizhi.site.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.site.application.domain.MyItemConfig;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 自定义页底-链接 Mapper 接口
 * </p>
 *
 * @author hutao123
 * @since 2019-02-21
 */
public interface MyItemConfigMapper extends BaseMapper<MyItemConfig> {

    List<MyItemConfig> queryMyitemConfigByCondition(@Param("name") String name, @Param("showable") Integer showable, @Param("terminalType")Integer terminalType,@Param("siteId")Long siteId);

    List<MyItemConfig> queryByAuthoity(@Param("siteId") Long siteId, @Param("terminalType") List<Integer> terminalType, @Param("showAble") Integer showAble,@Param("accountId") Long accountId);
}
