package com.yizhi.site.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.site.application.domain.TrInformationReadNumber;

/**
 * <p>
 * 资讯阅读次数统计 服务类
 * </p>
 *
 * @author lilingye
 * @since 2018-06-25
 */
public interface ITrInformationReadNumberService extends IService<TrInformationReadNumber> {
    /**
     * 获取资讯被阅读的次数
     * @param informationId 咨询id
     * @return
     */
    public Integer getInformationReadCount(Long informationId);
    
    
    public Integer getInformationReadCountPc(Long informationId);

}
