package com.yizhi.site.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.site.application.domain.SystemMailbox;
import com.yizhi.site.application.vo.domain.SystemMailboxVo;
import com.yizhi.site.application.vo.domain.SystemMailboxConditionVo;

/**
 * com.yizhi.site.application.service
 *
 * @author yanglang
 * @create 2025-01-09 13:57:30
 */
public interface SystemMailboxService extends IService<SystemMailbox> {

    Page<SystemMailbox> selectPage(SystemMailboxConditionVo conditionVo);

    Long save(SystemMailboxVo systemMailBoxVo);

    SystemMailboxVo getById(Long id);

    Boolean removeById(Long id);
}
